# DataExchange
TKXSBase
IFGraph

# IFGraph_AllConnected Class Reference

this class gives content of the CONNECTED COMPONANT(S)
which include specific Entity(ies)

`#include <IFGraph_AllConnected.hxx>`

Inheritance diagram for IFGraph_AllConnected:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_AllConnected (const Interface_Graph &agraph)
| creates an AllConnected from a graph, empty ready to be filled
Standard_EXPORT | IFGraph_AllConnected (const Interface_Graph &agraph, const Handle(Standard_Transient)&ent)
| creates an AllConnected which memorizes Entities Connected to a given one, at any level : that is, itself, all Entities Shared by it and Sharing it, and so on. In other terms, this is the content of the CONNECTED COMPONANT which include a specific Entity
Standard_EXPORT void | GetFromEntity (const Handle(Standard_Transient)&ent)
| adds an entity and its Connected ones to the list (allows to cumulate all Entities Connected by some ones) Note that if "ent" is in the already computed list,, no entity will be added, but if "ent" is not already in the list, a new Connected Componant will be cumulated
Standard_EXPORT void | ResetData ()
| Allows to restart on a new data set .
virtual Standard_EXPORT void | Evaluate ()
| does the specific evaluation (Connected entities atall levels)

## Private Attributes

Interface_Graph | thegraph

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_AllConnected::IFGraph_AllConnected | ( | const Interface_Graph & | agraph | ) |

Standard_EXPORT IFGraph_AllConnected::IFGraph_AllConnected | ( | const Interface_Graph & | agraph,
|  | const Handle(Standard_Transient)& | ent
| ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_AllConnected::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_AllConnected::GetFromEntity | ( | const Handle(Standard_Transient)& | ent | ) |

void IFGraph_AllConnected::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_AllConnected::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_AllConnected::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_AllConnected::ResetData | ( |  | ) |

## Field Documentation

Interface_Graph IFGraph_AllConnected::thegraph `[private]`

The documentation for this class was generated from the following file:

- IFGraph_AllConnected.hxx